;=========================================================
; Displays the stars displayed by spinjumped in a sprite
; They get displayed at the sprite's position
; Input: none
; Output: carry set   = not all of them spawned
;         carry clear = all of them got spawned
;=========================================================

       LDX #$03
.mainLoop
       LDY #$07
-      LDA $170B,y
       BEQ .foundSlot
       DEY
       BPL -
       LDX !RAM_SpriteIndex
       SEC
       RTL

.foundSlot
       LDA #$10
       STA $170B,y
       PHX
       LDX !RAM_SpriteIndex
       LDA !RAM_SpriteYLo,x
       SEC
       SBC #$04
       STA $1715,y
       LDA !RAM_SpriteYHi,x
       SBC #$00
       STA $1729,y
       LDA !RAM_SpriteXLo,x
       SEC
       SBC #$04
       STA $171F,y
       LDA !RAM_SpriteXHi,x
       SBC #$00
       STA $1733,y
       PLX
       LDA.l $07FC33,x
       STA $1747,y
       LDA.l $07FC37,x
       STA $173D,y
       LDA #$17
       STA $176F,y

       DEX
       BPL .mainLoop
       LDX !RAM_SpriteIndex
       CLC
       RTL

